Bug 1004425 - [abrt] openttd-1.3.2-2.fc19: __kernel_vsyscall: Process /usr/bin/openttd was killed by signal 6 (SIGABRT)
[abrt] openttd-1.3.2-2.fc19: __kernel_vsyscall: Process /usr/bin/openttd was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openttd (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
abrt_hash:6dbc5a98d0f4759e31738c8905e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 11:31 EDT by Stiven
Modified: 2015-02-17 12:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:04:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.11 KB, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: core_backtrace (1.48 KB, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: dso_list (4.63 KB, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: environ (1.68 KB, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: maps (14.17 KB, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: open_fds (148 bytes, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details
File: proc_pid_status (786 bytes, text/plain)
2013-09-04 11:31 EDT, Stiven
no flags Details

  None (edit)
Description Stiven 2013-09-04 11:31:11 EDT
Description of problem:
Ошибка возникает при открытии меню постройки железных дорог
The error occurs when you open a menu of construction of railways

Version-Release number of selected component:
openttd-1.3.2-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/openttd
crash_function: __kernel_vsyscall
executable:     /usr/bin/openttd
kernel:         3.10.10-200.fc19.i686.PAE
runlevel:       N 5
uid:            1000
var_log_messages: Sep  4 18:03:18 bmw abrt[2056]: Saved core dump of pid 2050 (/usr/bin/openttd) to /var/tmp/abrt/ccpp-2013-09-04-18:03:17-2050 (168239104 bytes)

Truncated backtrace:
Thread no. 2 (6 frames)
 #0 __kernel_vsyscall
 #1 __lll_lock_wait at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S:144
 #2 _L_cond_lock_713 at /lib/libpthread.so.0
 #3 __pthread_mutex_cond_lock at ../nptl/pthread_mutex_lock.c:64
 #4 pthread_cond_wait@@GLIBC_2.3.2 at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:273
 #5 ThreadMutex_pthread::WaitForSignal at /usr/src/debug/openttd-1.3.2/src/thread/thread_pthread.cpp:133
Comment 1 Stiven 2013-09-04 11:31:16 EDT
Created attachment 793733 [details]
File: backtrace
Comment 2 Stiven 2013-09-04 11:31:20 EDT
Created attachment 793734 [details]
File: cgroup
Comment 3 Stiven 2013-09-04 11:31:23 EDT
Created attachment 793735 [details]
File: core_backtrace
Comment 4 Stiven 2013-09-04 11:31:28 EDT
Created attachment 793736 [details]
File: dso_list
Comment 5 Stiven 2013-09-04 11:31:34 EDT
Created attachment 793737 [details]
File: environ
Comment 6 Stiven 2013-09-04 11:31:38 EDT
Created attachment 793738 [details]
File: limits
Comment 7 Stiven 2013-09-04 11:31:42 EDT
Created attachment 793739 [details]
File: maps
Comment 8 Stiven 2013-09-04 11:31:49 EDT
Created attachment 793740 [details]
File: open_fds
Comment 9 Stiven 2013-09-04 11:31:53 EDT
Created attachment 793741 [details]
File: proc_pid_status
Comment 10 Branislav Blaškovič 2013-11-22 10:57:37 EST
Same problem:
$ rpm -q openttd
openttd-1.3.2-2.fc19.i686

No problem with openttd-1.3.1-0.1.RC1.fc19.i686
Comment 11 Felix Kaechele 2014-08-26 16:18:31 EDT
Is this bug still reproducible?
Comment 12 Fedora End Of Life 2015-01-09 14:43:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 12:04:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.